# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.media.mediarss
Class MediaText

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.media.mediarss.AbstractTextElement
              com.google.gdata.data.media.mediarss.MediaText

All Implemented Interfaces:
  Extension

    public class MediaText

extends AbstractTextElement

`<media:text>`. See description on http://search.yahoo.com/mrss.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`MediaText()`

Method Summary
`protected void` `consumeAttributes(AttributeHelper attrsHelper)` The default implementation does nothing, subclasses can override to handle attributes.
`NormalPlayTime` `getEnd()`
`java.lang.String` `getLang()`
`NormalPlayTime` `getStart()`
`void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setEnd(NormalPlayTime end)`
`void` `setLang(java.lang.String lang)`
`void` `setStart(NormalPlayTime start)`

Methods inherited from class com.google.gdata.data.media.mediarss.AbstractTextElement
`getContent, getHandler, getPlainTextContent, isEmpty, setHtmlContent, setPlainTextContent`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MediaText

    public MediaText()

Method Detail

### getLang

    public java.lang.String getLang()

### setLang

    public void setLang(java.lang.String lang)

### getEnd

    public NormalPlayTime getEnd()

### setEnd

    public void setEnd(NormalPlayTime end)

### getStart

    public NormalPlayTime getStart()

### setStart

    public void setStart(NormalPlayTime start)

### putAttributes

    public void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractTextElement`
  Parameters:
    `generator` - attribute generator

### consumeAttributes

    protected void consumeAttributes(AttributeHelper attrsHelper)
                              throws ParseException

  Description copied from class: `AbstractTextElement`
  The default implementation does nothing, subclasses can override to handle attributes.

  Overrides:
    `consumeAttributes` in class `AbstractTextElement`
  Parameters:
    `attrsHelper` - attribute helper
  Throws:
    `ParseException` - from subclasses.